Module org.firebirdsql.jaybird
Package org.firebirdsql.encodings

# Class DefaultEncodingSet

java.lang.Object
org.firebirdsql.encodings.DefaultEncodingSet

All Implemented Interfaces:
  `EncodingSet`

public final class DefaultEncodingSet extends Object implements EncodingSet
The default encoding set for Jaybird.

Since:
  3.0
Author:
  Mark Rotteveel

## Constructor Summary

Constructors
Constructor
Description
`DefaultEncodingSet()`

## Method Summary

Modifier and Type
Method
Description
`List<EncodingDefinition>`
`getEncodings()`
`int`
`getPreferenceWeight()`
Preference weight defines the loading order.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultEncodingSet

public DefaultEncodingSet()

## Method Details

### getPreferenceWeight

public int getPreferenceWeight()
Description copied from interface: `EncodingSet`
Preference weight defines the loading order.

An `EncodingSet` with a higher number is processed before a lower number. The default preference weight used by `DefaultEncodingSet` in Jaybird is `0`. This means that if you want to override any default definition, you need a higher number, if you just want to specify additional mappings, you need to specify a lower number.

Specified by:
  `getPreferenceWeight` in interface `EncodingSet`
Returns:
  Preference weight

### getEncodings

public List<EncodingDefinition> getEncodings()

Specified by:
  `getEncodings` in interface `EncodingSet`
Returns:
  List of `EncodingDefinition` implementations.